Bug 992363 - [ARM] ghc-entropy: FTBFS in rawhide
[ARM] ghc-entropy: FTBFS in rawhide
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: ghc-entropy (Show other bugs)
20
arm Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
TemplateHaskell
:
Depends On:
Blocks: F20FTBFS
  Show dependency treegraph
 
Reported: 2013-08-05 00:21 EDT by Dennis Gilmore
Modified: 2014-07-15 03:21 EDT (History)
2 users (show)

See Also:
Fixed In Version: ghc-entropy-0.2.2.1-4.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-15 03:21:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2013-08-05 00:21:32 EDT
Your package ghc-entropy failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=5719688

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/9688/5719688/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/9688/5719688/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/9688/5719688/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
Comment 1 Jens Petersen 2013-08-20 10:21:17 EDT
http://koji.fedoraproject.org/koji/taskinfo?taskID=5833067

:
Loading package template-haskell ... linking ... done.
/var/tmp/rpm-tmp.GVcmlI: line 43: 19924 Segmentation fault      ghc --make -no-user-package-db Setup
Comment 2 Fedora End Of Life 2013-09-16 11:28:58 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 3 Jens Petersen 2014-05-09 05:29:09 EDT
I managed to scratch build 0.2.2.4 in f21 rawhide:

http://koji.fedoraproject.org/koji/taskinfo?taskID=6830703

but 0.2.2.1 still fails:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6830762
Comment 4 Jens Petersen 2014-05-09 05:33:39 EDT
Looks like the TH requirement was dropped in 0.2.2.2.
Comment 5 Fedora Update System 2014-05-29 23:26:28 EDT
pandoc-1.12.3.3-2.fc20, ghc-conduit-1.0.13.1-1.fc20, ghc-wai-1.4.1-1.fc20, ghc-hakyll-4.5.1.0-2.fc20, ghc-warp-1.3.8.4-1.fc20, ghc-scotty-0.5.0-4.fc20, ghc-citeproc-hs-0.3.9-2.fc20, ghc-tagsoup-0.13.1-1.fc20, ghc-texmath-0.6.6.1-1.fc20, ghc-pandoc-types-1.12.3.3-1.fc20, ghc-yaml-0.8.8.2-1.fc20, ghc-wai-extra-1.3.4.6-1.fc20, ghc-monad-logger-0.3.1.1-3.fc20, ghc-zlib-conduit-1.0.0-4.fc20, ghc-wai-logger-0.3.2-1.fc20, ghc-network-conduit-1.0.4-1.fc20, ghc-blaze-builder-conduit-1.0.0-4.fc20, ghc-attoparsec-conduit-1.0.1.2-1.fc20, ghc-resourcet-0.4.10.2-1.fc20, ghc-lifted-base-0.2.2.1-1.fc20, ghc-vault-0.3.0.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2014-6874/pandoc-1.12.3.3-2.fc20,ghc-conduit-1.0.13.1-1.fc20,ghc-wai-1.4.1-1.fc20,ghc-hakyll-4.5.1.0-2.fc20,ghc-warp-1.3.8.4-1.fc20,ghc-scotty-0.5.0-4.fc20,ghc-citeproc-hs-0.3.9-2.fc20,ghc-tagsoup-0.13.1-1.fc20,ghc-texmath-0.6.6.1-1.fc20,ghc-pandoc-types-1.12.3.3-1.fc20,ghc-yaml-0.8.8.2-1.fc20,ghc-wai-extra-1.3.4.6-1.fc20,ghc-monad-logger-0.3.1.1-3.fc20,ghc-zlib-conduit-1.0.0-4.fc20,ghc-wai-logger-0.3.2-1.fc20,ghc-network-conduit-1.0.4-1.fc20,ghc-blaze-builder-conduit-1.0.0-4.fc20,ghc-attoparsec-conduit-1.0.1.2-1.fc20,ghc-resourcet-0.4.10.2-1.fc20,ghc-lifted-base-0.2.2.1-1.fc20,ghc-vault-0.3.0.3-1.fc20
Comment 6 Jens Petersen 2014-05-29 23:56:03 EDT
Sorry please ignore the previous comment: entropy is not part of that package update set.
Comment 7 Jens Petersen 2014-07-15 03:21:29 EDT
This is now fixed in F21. (It could be backported also to F20
but since ghc-entropy-0.2.2.1-1.fc20.armv7hl is already there,
there is not really much to gain from it.)

Note You need to log in before you can comment on or make changes to this bug.